Echo Off
REM *********************************************************************
REM ***    Backup Batch File & Logger that enables data retention     ***
REM ***                                                               ***
REM ***         Created by Scream @ Team Phoenix Rising forums        ***
REM *********************************************************************
REM ***   Version 1.0   *****************************    31/12/2010   ***   
REM *********************************************************************

Echo *********************************************************************
Echo    Executing Incremental Backup Procedure @ %DATE% %TIME%
Echo *********************************************************************

REM *********************************************************************
REM *****      ONLY EDIT THE VARIABLES IN THIS SECTION      *****
set TARGET=C:\backup1\original
set DESTINATION=C:\backup1
set BACKUP1=backedupfiles\24
set BACKUP2=backedupfiles\48
set BACKUP3=backedupfiles\72
REM *********************************************************************

if exist %DESTINATION%\. (GOTO STEP-1) ELSE (GOTO MAKE-DESTINATION)

:STEP-1
if exist %DESTINATION%\Backedupfiles\. (GOTO CHECK-BACKUP1) ELSE (GOTO MKDIR-BACKUP)

:CHECK-BACKUP1
if exist %DESTINATION%\%BACKUP1%\. (GOTO CHECK-BACKUP2) ELSE (GOTO MKDIR-BACKUP1)

:CHECK-BACKUP2
if exist %DESTINATION%\%BACKUP2%\. (GOTO CHECK-BACKUP3) ELSE (GOTO MKDIR-BACKUP2)

:CHECK-BACKUP3
if exist %DESTINATION%\%BACKUP3%\. (GOTO FOLDERCHECKMESSAGE) ELSE (GOTO MKDIR-BACKUP3)

:FOLDERCHECKMESSAGE
Echo %DATE% %TIME% : Folder Checks Complete - Continuing with backup
GOTO BACKUP

:BACKUP
Echo %DATE% %TIME% : Deleting files from %DESTINATION%\%BACKUP3% (>72hrs old)
del %DESTINATION%\%BACKUP3%\*.* /Q 

REM Echo %DATE% %TIME% : Copying files from folder %DESTINATION%\%BACKUP2% to %DESTINATION%\%BACKUP3%
Echo %DATE% %TIME% : Copying files from folder \%BACKUP2% to \%BACKUP3%
move /Y %DESTINATION%\%BACKUP2%\* %DESTINATION%\%BACKUP3%\ 

REM Echo %DATE% %TIME% : Copying files from folder %DESTINATION%\%BACKUP1% to %DESTINATION%\%BACKUP2%
Echo %DATE% %TIME% : Copying files from folder \%BACKUP1% to \%BACKUP2%
move /Y %DESTINATION%\%BACKUP1%\* %DESTINATION%\%BACKUP2%\ 

REM Echo %DATE% %TIME% : Copying files from %TARGET% to %DESTINATION%\%BACKUP1%
Echo %DATE% %TIME% : Copying files from %TARGET% to \%BACKUP1%
copy %TARGET%\*.* %DESTINATION%\%BACKUP1%\ /Y 
Echo *********************************************************************
Echo    Incremental Backup Procedure Completed @ %DATE% %TIME%
Echo *********************************************************************
GOTO END


:MAKE-DESTINATION
MKDIR %DESTINATION%
Echo %DATE% %TIME% : Destination Folder Creation Successful
GOTO STEP-1


:MKDIR-BACKUP
Echo %DATE% %TIME% : Retention folders do not currently exist... Creating folders
mkdir %DESTINATION%\Backedupfiles
Echo %DATE% %TIME% : Backup Folder Creation Successful
GOTO MKDIR-BACKUP1


:MKDIR-BACKUP1
mkdir %DESTINATION%\%BACKUP1%
Echo %DATE% %TIME% : 24 Folder Creation Successful
GOTO MKDIR-BACKUP2

:MKDIR-BACKUP2
mkdir %DESTINATION%\%BACKUP2%
Echo %DATE% %TIME% : 48 Folder Creation Successful
GOTO MKDIR-BACKUP3

:MKDIR-BACKUP3
mkdir %DESTINATION%\%BACKUP3%
Echo %DATE% %TIME% : 72 Folder Creation Successful
GOTO FOLDERCHECKMESSAGE

:END
REM 	WE WILL NOW REMOVE THE ENVIRONMENT VARIABLES FROM THE SYSTEM IN CASE THE SAME NAMED VARIABLES ARE USED
REM	BY ANY OTHER SCRIPTS.
set destination =
set target =
set BACKUP1=
set BACKUP2=
set BACKUP3=
