Echo off
REM *********************************************************************
REM ***    Backup Batch File & Logger that enables data retention     ***
REM ***                                                               ***
REM ***        Created by Steve Howarth (steve_howarth@yahoo.com)     ***
REM *********************************************************************
REM ***    Version 1    *****************************   31/12/2010    ***   
REM *********************************************************************

REM *********************************************************************
REM *****          ONLY EDIT THE VARIABLES IN THIS SECTION          *****

set DESTINATION=C:\backup1
set LOGFILEDIR=%DESTINATION%\logs

REM *********************************************************************


if exist %DESTINATION%\. (GOTO CHECK-LOG-DIR) else (GOTO CREATE-DESTINATION)

:CHECK-LOG-DIR
if exist  %LOGFILEDIR%\. (GOTO QUERYBACKUPTYPE) ELSE (GOTO CREATE-LOG)

:QUERYBACKUPTYPE
cls
ECHO *********************************************************************
ECHO ***                 Please choose your backup type                ***
ECHO ***                                                               ***
ECHO ***                        1. Incremental                         ***
ECHO ***                        2. Full                                ***
ECHO ***                        3. EXIT                                ***
ECHO ***                                                               ***
ECHO *********************************************************************
set /p choice=Please make your choice: 
if %choice%==1 goto CALL-INCREMENTAL
if %choice%==2 goto CALL-FULL
if %choice%==3 goto END


:CALL-INCREMENTAL
call "c:\backup1\Incremental.bat" >>%LOGFILEDIR%\Incremental-Backup.log
ECHO *********************************************************************
ECHO ***            Incremental backup initiated, thankyou             ***
GOTO EXIT

:CALL-FULL
call "c:\backup1\Full.bat" >>%LOGFILEDIR%\Full-Backup.log
ECHO *********************************************************************
ECHO ***                 Full backup initiated, thankyou               ***
GOTO EXIT

:CREATE-LOG
mkdir %DESTINATION%\Logs
REM Backup Log Directory Created
GOTO QUERYBACKUPTYPE

:CREATE-DESTINATION
MKDIR %DESTINATION%
REM Destination created
GOTO CHECK-LOG-DIR

:END
ECHO *********************************************************************
ECHO ***                      Exit chosen, goodbye                     ***
ECHO *********************************************************************
pause
GOTO FINISH

:EXIT
ECHO ***            Please check the log files for progress            ***
ECHO *********************************************************************
pause
GOTO FINISH

:FINISH
set DESTINATION=
set LOGILEDIR=